Subject: Re: bug#23504: git 2.7.4 fails to clone repositories over HTTPS sources

From: Dennis Mungai <[email-masked]>
Date: Tue, 10 May 2016 16:36:05 +0300

Hmmm, thanks ;-)

Perhaps one could set the installation of nss-certs as:

1. A dependency to git, and
2. To print out the environment variable export GTI_SSL_CAPATH once
nss-certs is installed.

I have seen packages such as gtk3 on guix trigger similar variables to
be set when they are installed and loaded from a specific guix
profile, as such:

guix package -p ~/some-profile -i -some-gtk3-app

And then this would be recommended when calling up guix package -p
~/some-profile --search-paths

Taken from the email above as an example:

export XDG_DATA_DIRS="/home/lin/opt/guix-build-system/share"
export GUIX_GTK3_PATH="/home/lin/opt/guix-build-system/lib/gtk-3.0"

So yeah, it can be done ;-)

On 10 May 2016 at 16:11, Ricardo Wurmus <[email-masked]> wrote:
>
> Dennis Mungai <[email-masked]> writes:
>
>> Hello there,
>>
>> I'm using git 2.7.4 from a guix profile, and here is my current environment:
>>
>> guix package -p ~/opt/guix-build-system --search-paths
>> warning: failed to install locale: Invalid argument
>> export PATH="/home/lin/opt/guix-build-system/bin:/home/lin/opt/guix-build-system/sbin"
>> export XDG_DATA_DIRS="/home/lin/opt/guix-build-system/share"
>> export GUIX_GTK3_PATH="/home/lin/opt/guix-build-system/lib/gtk-3.0"
>> export INFOPATH="/home/lin/opt/guix-build-system/share/info"
>> export PKG_CONFIG_PATH="/home/lin/opt/guix-build-system/lib/pkgconfig"
>> export GUILE_LOAD_COMPILED_PATH="/home/lin/opt/guix-build-system/lib/guile/2.0/ccache"
>> export C_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
>> export CPLUS_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
>> export LIBRARY_PATH="/home/lin/opt/guix-build-system/lib"
>> export ACLOCAL_PATH="/home/lin/opt/guix-build-system/share/aclocal"
>>
>> which env returns:
>>
>> which env
>> /home/lin/opt/guix-build-system/bin/env
>>
>> Now, with git clone example over HTTPS:
>>
>> git clone --branch gn-latest https://github.com/genenetwork/guix-bioinformatics
>> Cloning into 'guix-bioinformatics'...
>> fatal: unable to access
>> 'https://github.com/genenetwork/guix-bioinformatics/': server
>> certificate verification failed. CAfile: none CRLfile: none
>>
>> The system git does not present such an error.
>>
>> What could be wrong with my setup? Missing certificates?
>
> Please try this:
>
>     export GIT_SSL_CAPATH=$HOME/.guix-profile/etc/ssl/certs
>
> Assuming that nss-certs has been installed into $HOME/.guix-profile this
> should be enough to make it work.
>
> I wonder how we can make it easier to tell the user that this
> environment variable must be set.
>
> ~~ Ricardo